Bug 1003063 - Upgrade 18 -> 19 fails with LUKS and Btrfs subvolumes (cannot mount /sysroot/usr)
Upgrade 18 -> 19 fails with LUKS and Btrfs subvolumes (cannot mount /sysroot/...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: fedup-dracut (Show other bugs)
18
x86_64 Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-30 12:30 EDT by mcy
Modified: 2014-02-05 17:20 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:20:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sosreport (106.05 KB, text/plain)
2013-08-30 12:30 EDT, mcy
no flags Details

  None (edit)
Description mcy 2013-08-30 12:30:45 EDT
Created attachment 792252 [details]
sosreport

Hi there,

I'm trying to upgrade my Fedora 18 install (which was a fresh install 6 months ago) to F19, but it fails after rebooting. I have two hard drives with a Btrfs RAID1 on top of two LUKS-encrypted partitions (luks-01fe537e-cf02-4333-ad55-793e816e1396 and luks-8f44ca43-d443-4334-8a00-5809755d6a8f). The Btrfs volume has UUID baf3821d-7508-4dea-b17f-c33b243ae390 and contains the following volumes:
- root (/)
- usr (/usr)
- var (/var)
- home (/home)

/boot is on a separate, non-encrypted ext3 partition.

I also have two more LUKS-encrypted partitions:
- luks-aa05dc78-3849-489a-a316-908425325605 (/tmp, ext4)
- luks-bba4d415-9e53-420a-9b62-b9f3de7f98fa (swap)


fedup-cli --network 19 ran without error and the generated grub file seems to be fine regarding other similar bug reports. Here is the linux line:

    linux /vmlinuz-fedup root=UUID=baf3821d-7508-4dea-b17f-c33b243ae390 ro rootflags=subvol=root rd.md=0 rd.lvm=0 rd.dm=0  rd.luks.uuid=luks-01fe537e-cf02-4333-ad55-793e816e1396 rd.luks.uuid=luks-8f44ca43-d443-4334-8a00-5809755d6a8f rd.luks.uuid=luks-bba4d415-9e53-420a-9b62-b9f3de7f98fa vconsole.keymap=dvorak-fr-bepo quiet LANG=fr_FR.UTF-8 upgrade systemd.unit=system-upgrade.target plymouth.splash=fedup enforcing=0


When rebooting to the upgrade system, I'm prompted for LUKS passphrase and then the emergency shell appears after a message indicating thet /sysroot/usr can't be mounted. sosreport.txt (attached) contains the two following lines:

[   26.612753] localhost mount[501]: mount: /dev/mapper/luks-01fe537e-cf02-4333-ad55-793e816e1396 is already mounted or /sysroot/usr busy
[   26.613341] localhost mount[501]: /dev/mapper/luks-01fe537e-cf02-4333-ad55-793e816e1396 is already mounted on /sysroot

Note that luks-01fe537e-cf02-4333-ad55-793e816e1396 corresponds to the first partition composing the Btrfs volume. My guess is that Btrfs subvolumes are not handled correctly at this stage, but I may be wrong.


Version of fedup: 0.7.3-4.fc18


How reproducible: always.
Steps to reproduce:
1. fedup-cli --network 19
2. reboot
Comment 1 Fedora End Of Life 2013-12-21 09:32:22 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2014-02-05 17:20:45 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.